Bug 213014 - devel/powerpc64-gcc -r421598: breaks powerpc64-gcc's use to buildworld for stable/11 -r306344
Summary: devel/powerpc64-gcc -r421598: breaks powerpc64-gcc's use to buildworld for st...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-27 04:14 UTC by Mark Millard
Modified: 2017-01-10 11:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bapt)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Millard 2016-09-27 04:14:08 UTC
The below is from my posting to various lists. I'm now making the official submittal of the issue.

Subject: Re: devel/powerpc64-gcc cross-build of libc++ based stable/11 -r306344 buildworld failed: call to . . . lacks nop, can't restore toc; recompile with -fPIC

Date: September 26, 2016 at 7:47:46 PM PDT
. . .

Quick top post on avoiding the problem:

Reverting devel/powerpc64-gcc from -r421598 to -r413189 appears to have avoided this problem.

While buildworld is still building: the build is well past the failure point reported below.


On 2016-Sep-26, at 4:48 PM, Mark Millard <markmi@dsl-only.net> wrote:

So far I'm unable to use powerpc64-gcc (as of /usr/ports -r422765) to build stable/11 -r306344 on amd64 -r306344 : See the

iostream.cpp:(.text.startup+0x1c): call to `std::__1::ios_base::Init::Init()' lacks nop, can't restore toc; recompile with -fPIC

in the later extraction from the build log. The version of ld (and other such) in use is:

# /usr/local/bin/powerpc64-freebsd-ld --version
GNU ld (GNU Binutils) 2.25.1
. . .

This is because of reported problems with 2.27 for powerpc64. (It will still be a while before I've access to the powerpc64's again.)

As for the log file material. . .

--- all_subdir_lib/libdevdctl ---
Building /usr/obj/xtoolchain/powerpc.powerpc64/usr/src/lib/libdevdctl/libprivatedevdctl.so.0.full
--- libprivatedevdctl.so.0.full ---
building shared library libprivatedevdctl.so.0
.  .  .
--- all_subdir_lib/libdevdctl ---
/usr/local/bin/powerpc64-freebsd-ld: /usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/../lib/libc++/libc++.a(iostream.o): In function `_GLOBAL__sub_I__ZNSt3__13cinE':
iostream.cpp:(.text.startup+0x1c): call to `std::__1::ios_base::Init::Init()' lacks nop, can't restore toc; recompile with -fPIC
/usr/local/bin/powerpc64-freebsd-ld: final link failed: Bad value
--- all_subdir_lib/libevent ---
COLLECT_GCC_OPTIONS='-isystem' '/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/include' '-L/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/lib' '-B' '/usr/local/powerpc64-freebsd/bin/' '-O2' '-pipe' '-I' '/usr/src/lib/libevent' '-D' 'HAVE_CLOCK_GETTIME' '-D' 'HAVE_FCNTL_H' '-D' 'HAVE_POLL' '-D' 'HAVE_SELECT' '-D' 'HAVE_SETFD' '-D' 'HAVE_STDARG_H' '-D' 'HAVE_SYS_IOCTL_H' '-D' 'HAVE_SYS_TIME_H' '-D' 'HAVE_UNISTD_H' '-D' 'HAVE_VASPRINTF' '-D' 'HAVE_WORKING_KQUEUE' '-D' 'VERSION="1.3b"' '-std=gnu99' '-fstack-protector-strong' '-Wsystem-headers' '-Wall' '-Wno-format-y2k' '-Wno-uninitialized' '-Wno-pointer-sign' '-Wno-error=unused-function' '-Wno-error=enum-compare' '-Wno-error=logical-not-parentheses' '-Wno-error=bool-compare' '-Wno-error=uninitialized' '-Wno-error=array-bounds' '-Wno-error=clobbered' '-Wno-error=cast-align' '-Wno-error=extra' '-Wno-error=attributes' '-Wno-error=inline' '-Wno-error=unused-but-set-variable' '-Wno-error=unused-value' '-Wno-error=strict-aliasi
ng' '-Wno-error=address' '-v' '-c' '-o' 'signal.o'
--- all_subdir_lib/libdevdctl ---
collect2: error: ld returned 1 exit status
*** [libprivatedevdctl.so.0.full] Error code 1

make[5]: stopped in /usr/src/lib/libdevdctl
.ERROR_TARGET='libprivatedevdctl.so.0.full'
.ERROR_META_FILE='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/lib/libdevdctl/libprivatedevdctl.so.0.full.meta'
.MAKE.LEVEL='5'
MAKEFILE=''
.MAKE.MODE='meta missing-filemon=yes missing-meta=yes silent=yes verbose'
.CURDIR='/usr/src/lib/libdevdctl'
.MAKE='make'
.OBJDIR='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/lib/libdevdctl'
.TARGETS='all'
DESTDIR='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp'
LD_LIBRARY_PATH=''
MACHINE='powerpc'
MACHINE_ARCH='powerpc64'
MAKEOBJDIRPREFIX='/usr/obj/xtoolchain/powerpc.powerpc64'
MAKESYSPATH='/usr/src/share/mk'
MAKE_VERSION='20160606'
PATH='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/legacy/usr/sbin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/legacy/usr/bin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/legacy/bin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/sbin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/bin:/sbin:/bin:/usr/sbin:/usr/bin'
SRCTOP='/usr/src'
OBJTOP='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src'
.MAKE.MAKEFILES='/usr/src/share/mk/sys.mk /usr/src/share/mk/local.sys.env.mk /usr/src/share/mk/src.sys.env.mk /root/src.configs/src.conf.powerpc64-xtoolchain.amd64-host /usr/src/share/mk/bsd.mkopt.mk /root/src.configs/make.conf /usr/src/share/mk/local.sys.mk /usr/src/share/mk/src.sys.mk /etc/src.conf /usr/src/lib/libdevdctl/Makefile /usr/src/share/mk/bsd.lib.mk /usr/src/share/mk/bsd.init.mk /usr/src/share/mk/bsd.opts.mk /usr/src/share/mk/bsd.cpu.mk /usr/src/share/mk/local.init.mk /usr/src/share/mk/src.init.mk /usr/src/lib/libdevdctl/../Makefile.inc /usr/src/share/mk/bsd.own.mk /usr/src/share/mk/bsd.compiler.mk /usr/src/share/mk/bsd.libnames.mk /usr/src/share/mk/src.libnames.mk /usr/src/share/mk/src.opts.mk /usr/src/share/mk/bsd.symver.mk /usr/src/share/mk/bsd.nls.mk /usr/src/share/mk/bsd.files.mk /usr/src/share/mk/bsd.incs.mk /usr/src/share/mk/bsd.confs.mk /usr/src/share/mk/bsd.links.mk /usr/src/share/mk/bsd.dep.mk /usr/src/share/mk/bsd.clang-analyze.mk /usr/src/share/mk/bsd.obj.mk
/usr/src/share/mk/bsd.subdir.mk /usr/src/share/mk/bsd.sys.mk'
.PATH='. /usr/src/lib/libdevdctl'
1 error


Context details:

# freebsd-version -ku; uname -apKU
11.0-PRERELEASE
11.0-PRERELEASE
FreeBSD FreeBSDx64 11.0-PRERELEASE FreeBSD 11.0-PRERELEASE #7 r306344M: Mon Sep 26 10:29:55 PDT 2016     markmi@FreeBSDx64:/usr/obj/clang/amd64.amd64/usr/src/sys/GENERIC-NODBG  amd64 amd64 1100503 1100503

# svnlite info /usr/src | grep "Re[lv][ai:]"
Relative URL: ^/stable/11
Revision: 306344
Last Changed Rev: 306344

# svnlite info /usr/ports | grep "Re[lv][ai:]"
Relative URL: ^/head
Revision: 422765
Last Changed Rev: 422765

But I have avoided the recent 2.27 of devel/binutils and devel/powerpc64-binutils :

# svnlite info /usr/ports/devel/powerpc64-binutils/ | grep "Re[lv][ai:]"
Relative URL: ^/head/devel/powerpc64-binutils
Revision: 407342
Last Changed Rev: 407342

# svnlite info /usr/ports/devel/binutils/ | grep "Re[lv][ai:]"
Relative URL: ^/head/devel/binutils
Revision: 416639
Last Changed Rev: 416639

As for src.conf and related. . .

# more ~/sys_build_scripts.amd64-host/make_powerpc64vtsc_nodebug_incl_clang_xtoolchain-amd64-host.sh 
kldload -n filemon && \
script ~/sys_typescripts/typescript_make_powerpc64vtsc_nodebug_incl_clang_xtoolchain-amd64-host-$(date +%Y-%m-%d:%H:%M:%S) \
env __MAKE_CONF="/root/src.configs/make.conf" SRC_ENV_CONF="/root/src.configs/src.conf.powerpc64-xtoolchain.amd64-host" \
WITH_META_MODE=yes \
MAKEOBJDIRPREFIX="/usr/obj/xtoolchain" \
make $*

# more ~/src.configs/src.conf.powerpc64-xtoolchain.amd64-host 
TO_TYPE=powerpc64
TOOLS_TO_TYPE=${TO_TYPE}
VERSION_CONTEXT=11.0
#
KERNCONF=GENERIC64vtsc-NODEBUG
TARGET=powerpc
.if ${.MAKE.LEVEL} == 0
TARGET_ARCH=${TO_TYPE}
.export TARGET_ARCH
.endif
#
WITHOUT_CROSS_COMPILER=
WITHOUT_SYSTEM_COMPILER=
#
WITH_LIBCPLUSPLUS=
WITHOUT_BINUTILS_BOOTSTRAP=
WITHOUT_CLANG_BOOTSTRAP=
WITH_CLANG=
WITH_CLANG_IS_CC=
WITH_CLANG_FULL=
WITH_CLANG_EXTRAS=
WITH_LLDB=
#
WITH_BOOT=
# powerpc64 LIB32 builds via gcc 4.9 or later variants that I've tried
# but the LIB32 does not work [crtbeginS code problem(s)]
WITHOUT_LIB32=
#
WITHOUT_ELFTOOLCHAIN_BOOTSTRAP=
WITHOUT_GCC_BOOTSTRAP=
WITHOUT_GCC=
WITHOUT_GCC_IS_CC=
WITHOUT_GNUCXX=
#
NO_WERROR=
#WERROR=
MALLOC_PRODUCTION=
#
WITH_DEBUG_FILES=
#
#
# For TO (so-called "cross") stages . . .
# So-called-cross via ${TO_TYPE}-xtoolchain-gcc/${TO_TYPE}-gcc. . .
# TOOLS_TO_TYPE based on ${TO_TYPE}-xtoolchain-gcc related binutils. . .
#
CROSS_TOOLCHAIN=${TO_TYPE}-gcc
X_COMPILER_TYPE=gcc
CROSS_BINUTILS_PREFIX=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/
.if ${.MAKE.LEVEL} == 0
XCC=/usr/local/bin/${TOOLS_TO_TYPE}-portbld-freebsd${VERSION_CONTEXT}-gcc
XCXX=/usr/local/bin/${TOOLS_TO_TYPE}-portbld-freebsd${VERSION_CONTEXT}-g++
XCPP=/usr/local/bin/${TOOLS_TO_TYPE}-portbld-freebsd${VERSION_CONTEXT}-cpp
.export XCC
.export XCXX
.export XCPP
XAS=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/as
XAR=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/ar
XLD=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/ld
XNM=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/nm
XOBJCOPY=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/objcopy
XOBJDUMP=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/objdump
XRANLIB=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/ranlib
XSIZE=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/size
#NO-SUCH: XSTRINGS=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/strings
XSTRINGS=/usr/local/bin/${TOOLS_TO_TYPE}-freebsd-strings
.export XAS
.export XAR
.export XLD
.export XNM
.export XOBJCOPY
.export XOBJDUMP
.export XRANLIB
.export XSIZE
.export XSTRINGS
.endif
#
#
# From based on clang (via system). . .
#
.if ${.MAKE.LEVEL} == 0
CC=/usr/bin/clang
CXX=/usr/bin/clang++
CPP=/usr/bin/clang-cpp
.export CC
.export CXX
.export CPP
.endif

# more /etc/make.conf
WANT_QT_VERBOSE_CONFIGURE=1
#
DEFAULT_VERSIONS+=perl5=5.22
WRKDIRPREFIX=/usr/obj/portswork
WITH_DEBUG=
WITH_DEBUG_FILES=
MALLOC_PRODUCTION=

# svnlite status /usr/src
M       /usr/src/contrib/llvm/lib/CodeGen/SelectionDAG/SelectionDAGBuilder.cpp
M       /usr/src/lib/csu/powerpc64/Makefile
?       /usr/src/sys/amd64/conf/GENERIC-NODBG
?       /usr/src/sys/amd64/include/include
?       /usr/src/sys/arm/conf/RPI2-NODBG
?       /usr/src/sys/arm/include/include
M       /usr/src/sys/boot/ofw/Makefile.inc
M       /usr/src/sys/boot/powerpc/Makefile.inc
M       /usr/src/sys/boot/powerpc/kboot/Makefile
M       /usr/src/sys/boot/uboot/Makefile.inc
M       /usr/src/sys/conf/Makefile.powerpc
M       /usr/src/sys/conf/kern.mk
M       /usr/src/sys/conf/kmod.mk
?       /usr/src/sys/powerpc/conf/GENERIC64-NODBG
?       /usr/src/sys/powerpc/conf/GENERIC64vtsc
?       /usr/src/sys/powerpc/conf/GENERIC64vtsc-NODEBUG
?       /usr/src/sys/powerpc/conf/GENERICvtsc
?       /usr/src/sys/powerpc/conf/GENERICvtsc-NODEBUG
?       /usr/src/sys/powerpc/include/include
M       /usr/src/sys/powerpc/ofw/ofw_machdep.c
M       /usr/src/sys/powerpc/powerpc/exec_machdep.c
?       /usr/src/sys/x86/include/include

The include/include's were not added by me. They just point back to the parent include.

The rest of the powerpc64 stuff I've been using for a long time, some of it is for booting PowerMac G5's reliably. Other powerpc64/powerpc parts are mostly tied to my clang 3.8.0 investigations for targeting powerpc64 and powerpc.


===
Mark Millard
markmi at dsl-only.net

_______________________________________________
freebsd-ppc@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-ppc
To unsubscribe, send any mail to "freebsd-ppc-unsubscribe@freebsd.org"

_______________________________________________
freebsd-toolchain@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-toolchain
To unsubscribe, send any mail to "freebsd-toolchain-unsubscribe@freebsd.org"
Begin forwarded message:

From: Mark Millard <markmi@dsl-only.net>
Subject: Re: devel/powerpc64-gcc cross-build of libc++ based stable/11 -r306344 buildworld failed: call to . . . lacks nop, can't restore toc; recompile with -fPIC
Date: September 26, 2016 at 7:47:46 PM PDT
To: FreeBSD Toolchain <freebsd-toolchain@freebsd.org>, FreeBSD PowerPC ML <freebsd-ppc@freebsd.org>, FreeBSD-STABLE Mailing List <freebsd-stable@freebsd.org>, FreeBSD Ports <freebsd-ports@freebsd.org>

Quick top post on avoiding the problem:

Reverting devel/powerpc64-gcc from -r421598 to -r413189 appears to have avoided this problem.

While buildworld is still building: the build is well past the failure point reported below.

===
Mark Millard
markmi at dsl-only.net

On 2016-Sep-26, at 4:48 PM, Mark Millard <markmi@dsl-only.net> wrote:

So far I'm unable to use powerpc64-gcc (as of /usr/ports -r422765) to build stable/11 -r306344 on amd64 -r306344 : See the

iostream.cpp:(.text.startup+0x1c): call to `std::__1::ios_base::Init::Init()' lacks nop, can't restore toc; recompile with -fPIC

in the later extraction from the build log. The version of ld (and other such) in use is:

# /usr/local/bin/powerpc64-freebsd-ld --version
GNU ld (GNU Binutils) 2.25.1
. . .

This is because of reported problems with 2.27 for powerpc64. (It will still be a while before I've access to the powerpc64's again.)

As for the log file material. . .

--- all_subdir_lib/libdevdctl ---
Building /usr/obj/xtoolchain/powerpc.powerpc64/usr/src/lib/libdevdctl/libprivatedevdctl.so.0.full
--- libprivatedevdctl.so.0.full ---
building shared library libprivatedevdctl.so.0
.  .  .
--- all_subdir_lib/libdevdctl ---
/usr/local/bin/powerpc64-freebsd-ld: /usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/../lib/libc++/libc++.a(iostream.o): In function `_GLOBAL__sub_I__ZNSt3__13cinE':
iostream.cpp:(.text.startup+0x1c): call to `std::__1::ios_base::Init::Init()' lacks nop, can't restore toc; recompile with -fPIC
/usr/local/bin/powerpc64-freebsd-ld: final link failed: Bad value
--- all_subdir_lib/libevent ---
COLLECT_GCC_OPTIONS='-isystem' '/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/include' '-L/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/lib' '-B' '/usr/local/powerpc64-freebsd/bin/' '-O2' '-pipe' '-I' '/usr/src/lib/libevent' '-D' 'HAVE_CLOCK_GETTIME' '-D' 'HAVE_FCNTL_H' '-D' 'HAVE_POLL' '-D' 'HAVE_SELECT' '-D' 'HAVE_SETFD' '-D' 'HAVE_STDARG_H' '-D' 'HAVE_SYS_IOCTL_H' '-D' 'HAVE_SYS_TIME_H' '-D' 'HAVE_UNISTD_H' '-D' 'HAVE_VASPRINTF' '-D' 'HAVE_WORKING_KQUEUE' '-D' 'VERSION="1.3b"' '-std=gnu99' '-fstack-protector-strong' '-Wsystem-headers' '-Wall' '-Wno-format-y2k' '-Wno-uninitialized' '-Wno-pointer-sign' '-Wno-error=unused-function' '-Wno-error=enum-compare' '-Wno-error=logical-not-parentheses' '-Wno-error=bool-compare' '-Wno-error=uninitialized' '-Wno-error=array-bounds' '-Wno-error=clobbered' '-Wno-error=cast-align' '-Wno-error=extra' '-Wno-error=attributes' '-Wno-error=inline' '-Wno-error=unused-but-set-variable' '-Wno-error=unused-value' '-Wno-error=strict-aliasi
ng' '-Wno-error=address' '-v' '-c' '-o' 'signal.o'
--- all_subdir_lib/libdevdctl ---
collect2: error: ld returned 1 exit status
*** [libprivatedevdctl.so.0.full] Error code 1

make[5]: stopped in /usr/src/lib/libdevdctl
.ERROR_TARGET='libprivatedevdctl.so.0.full'
.ERROR_META_FILE='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/lib/libdevdctl/libprivatedevdctl.so.0.full.meta'
.MAKE.LEVEL='5'
MAKEFILE=''
.MAKE.MODE='meta missing-filemon=yes missing-meta=yes silent=yes verbose'
.CURDIR='/usr/src/lib/libdevdctl'
.MAKE='make'
.OBJDIR='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/lib/libdevdctl'
.TARGETS='all'
DESTDIR='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp'
LD_LIBRARY_PATH=''
MACHINE='powerpc'
MACHINE_ARCH='powerpc64'
MAKEOBJDIRPREFIX='/usr/obj/xtoolchain/powerpc.powerpc64'
MAKESYSPATH='/usr/src/share/mk'
MAKE_VERSION='20160606'
PATH='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/legacy/usr/sbin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/legacy/usr/bin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/legacy/bin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/sbin:/usr/obj/xtoolchain/powerpc.powerpc64/usr/src/tmp/usr/bin:/sbin:/bin:/usr/sbin:/usr/bin'
SRCTOP='/usr/src'
OBJTOP='/usr/obj/xtoolchain/powerpc.powerpc64/usr/src'
.MAKE.MAKEFILES='/usr/src/share/mk/sys.mk /usr/src/share/mk/local.sys.env.mk /usr/src/share/mk/src.sys.env.mk /root/src.configs/src.conf.powerpc64-xtoolchain.amd64-host /usr/src/share/mk/bsd.mkopt.mk /root/src.configs/make.conf /usr/src/share/mk/local.sys.mk /usr/src/share/mk/src.sys.mk /etc/src.conf /usr/src/lib/libdevdctl/Makefile /usr/src/share/mk/bsd.lib.mk /usr/src/share/mk/bsd.init.mk /usr/src/share/mk/bsd.opts.mk /usr/src/share/mk/bsd.cpu.mk /usr/src/share/mk/local.init.mk /usr/src/share/mk/src.init.mk /usr/src/lib/libdevdctl/../Makefile.inc /usr/src/share/mk/bsd.own.mk /usr/src/share/mk/bsd.compiler.mk /usr/src/share/mk/bsd.libnames.mk /usr/src/share/mk/src.libnames.mk /usr/src/share/mk/src.opts.mk /usr/src/share/mk/bsd.symver.mk /usr/src/share/mk/bsd.nls.mk /usr/src/share/mk/bsd.files.mk /usr/src/share/mk/bsd.incs.mk /usr/src/share/mk/bsd.confs.mk /usr/src/share/mk/bsd.links.mk /usr/src/share/mk/bsd.dep.mk /usr/src/share/mk/bsd.clang-analyze.mk /usr/src/share/mk/bsd.obj.mk
/usr/src/share/mk/bsd.subdir.mk /usr/src/share/mk/bsd.sys.mk'
.PATH='. /usr/src/lib/libdevdctl'
1 error


Context details:

# freebsd-version -ku; uname -apKU
11.0-PRERELEASE
11.0-PRERELEASE
FreeBSD FreeBSDx64 11.0-PRERELEASE FreeBSD 11.0-PRERELEASE #7 r306344M: Mon Sep 26 10:29:55 PDT 2016     markmi@FreeBSDx64:/usr/obj/clang/amd64.amd64/usr/src/sys/GENERIC-NODBG  amd64 amd64 1100503 1100503

# svnlite info /usr/src | grep "Re[lv][ai:]"
Relative URL: ^/stable/11
Revision: 306344
Last Changed Rev: 306344

# svnlite info /usr/ports | grep "Re[lv][ai:]"
Relative URL: ^/head
Revision: 422765
Last Changed Rev: 422765

But I have avoided the recent 2.27 of devel/binutils and devel/powerpc64-binutils :

# svnlite info /usr/ports/devel/powerpc64-binutils/ | grep "Re[lv][ai:]"
Relative URL: ^/head/devel/powerpc64-binutils
Revision: 407342
Last Changed Rev: 407342

# svnlite info /usr/ports/devel/binutils/ | grep "Re[lv][ai:]"
Relative URL: ^/head/devel/binutils
Revision: 416639
Last Changed Rev: 416639

As for src.conf and related. . .

# more ~/sys_build_scripts.amd64-host/make_powerpc64vtsc_nodebug_incl_clang_xtoolchain-amd64-host.sh 
kldload -n filemon && \
script ~/sys_typescripts/typescript_make_powerpc64vtsc_nodebug_incl_clang_xtoolchain-amd64-host-$(date +%Y-%m-%d:%H:%M:%S) \
env __MAKE_CONF="/root/src.configs/make.conf" SRC_ENV_CONF="/root/src.configs/src.conf.powerpc64-xtoolchain.amd64-host" \
WITH_META_MODE=yes \
MAKEOBJDIRPREFIX="/usr/obj/xtoolchain" \
make $*

# more ~/src.configs/src.conf.powerpc64-xtoolchain.amd64-host 
TO_TYPE=powerpc64
TOOLS_TO_TYPE=${TO_TYPE}
VERSION_CONTEXT=11.0
#
KERNCONF=GENERIC64vtsc-NODEBUG
TARGET=powerpc
.if ${.MAKE.LEVEL} == 0
TARGET_ARCH=${TO_TYPE}
.export TARGET_ARCH
.endif
#
WITHOUT_CROSS_COMPILER=
WITHOUT_SYSTEM_COMPILER=
#
WITH_LIBCPLUSPLUS=
WITHOUT_BINUTILS_BOOTSTRAP=
WITHOUT_CLANG_BOOTSTRAP=
WITH_CLANG=
WITH_CLANG_IS_CC=
WITH_CLANG_FULL=
WITH_CLANG_EXTRAS=
WITH_LLDB=
#
WITH_BOOT=
# powerpc64 LIB32 builds via gcc 4.9 or later variants that I've tried
# but the LIB32 does not work [crtbeginS code problem(s)]
WITHOUT_LIB32=
#
WITHOUT_ELFTOOLCHAIN_BOOTSTRAP=
WITHOUT_GCC_BOOTSTRAP=
WITHOUT_GCC=
WITHOUT_GCC_IS_CC=
WITHOUT_GNUCXX=
#
NO_WERROR=
#WERROR=
MALLOC_PRODUCTION=
#
WITH_DEBUG_FILES=
#
#
# For TO (so-called "cross") stages . . .
# So-called-cross via ${TO_TYPE}-xtoolchain-gcc/${TO_TYPE}-gcc. . .
# TOOLS_TO_TYPE based on ${TO_TYPE}-xtoolchain-gcc related binutils. . .
#
CROSS_TOOLCHAIN=${TO_TYPE}-gcc
X_COMPILER_TYPE=gcc
CROSS_BINUTILS_PREFIX=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/
.if ${.MAKE.LEVEL} == 0
XCC=/usr/local/bin/${TOOLS_TO_TYPE}-portbld-freebsd${VERSION_CONTEXT}-gcc
XCXX=/usr/local/bin/${TOOLS_TO_TYPE}-portbld-freebsd${VERSION_CONTEXT}-g++
XCPP=/usr/local/bin/${TOOLS_TO_TYPE}-portbld-freebsd${VERSION_CONTEXT}-cpp
.export XCC
.export XCXX
.export XCPP
XAS=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/as
XAR=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/ar
XLD=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/ld
XNM=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/nm
XOBJCOPY=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/objcopy
XOBJDUMP=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/objdump
XRANLIB=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/ranlib
XSIZE=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/size
#NO-SUCH: XSTRINGS=/usr/local/${TOOLS_TO_TYPE}-freebsd/bin/strings
XSTRINGS=/usr/local/bin/${TOOLS_TO_TYPE}-freebsd-strings
.export XAS
.export XAR
.export XLD
.export XNM
.export XOBJCOPY
.export XOBJDUMP
.export XRANLIB
.export XSIZE
.export XSTRINGS
.endif
#
#
# From based on clang (via system). . .
#
.if ${.MAKE.LEVEL} == 0
CC=/usr/bin/clang
CXX=/usr/bin/clang++
CPP=/usr/bin/clang-cpp
.export CC
.export CXX
.export CPP
.endif

# more /etc/make.conf
WANT_QT_VERBOSE_CONFIGURE=1
#
DEFAULT_VERSIONS+=perl5=5.22
WRKDIRPREFIX=/usr/obj/portswork
WITH_DEBUG=
WITH_DEBUG_FILES=
MALLOC_PRODUCTION=

# svnlite status /usr/src
M       /usr/src/contrib/llvm/lib/CodeGen/SelectionDAG/SelectionDAGBuilder.cpp
M       /usr/src/lib/csu/powerpc64/Makefile
?       /usr/src/sys/amd64/conf/GENERIC-NODBG
?       /usr/src/sys/amd64/include/include
?       /usr/src/sys/arm/conf/RPI2-NODBG
?       /usr/src/sys/arm/include/include
M       /usr/src/sys/boot/ofw/Makefile.inc
M       /usr/src/sys/boot/powerpc/Makefile.inc
M       /usr/src/sys/boot/powerpc/kboot/Makefile
M       /usr/src/sys/boot/uboot/Makefile.inc
M       /usr/src/sys/conf/Makefile.powerpc
M       /usr/src/sys/conf/kern.mk
M       /usr/src/sys/conf/kmod.mk
?       /usr/src/sys/powerpc/conf/GENERIC64-NODBG
?       /usr/src/sys/powerpc/conf/GENERIC64vtsc
?       /usr/src/sys/powerpc/conf/GENERIC64vtsc-NODEBUG
?       /usr/src/sys/powerpc/conf/GENERICvtsc
?       /usr/src/sys/powerpc/conf/GENERICvtsc-NODEBUG
?       /usr/src/sys/powerpc/include/include
M       /usr/src/sys/powerpc/ofw/ofw_machdep.c
M       /usr/src/sys/powerpc/powerpc/exec_machdep.c
?       /usr/src/sys/x86/include/include

The include/include's were not added by me. They just point back to the parent include.

The rest of the powerpc64 stuff I've been using for a long time, some of it is for booting PowerMac G5's reliably. Other powerpc64/powerpc parts are mostly tied to my clang 3.8.0 investigations for targeting powerpc64 and powerpc.
Comment 1 commit-hook freebsd_committer 2016-10-31 13:54:02 UTC
A commit references this bug:

Author: arved
Date: Mon Oct 31 13:53:16 UTC 2016
New revision: 424999
URL: https://svnweb.freebsd.org/changeset/ports/424999

Log:
  Add missing dependeny on p5-List-MoreUtils

  PR:		213014
  Approved by:	maintainer timeout

Changes:
  head/math/p5-Statistics-Descriptive/Makefile
Comment 2 Mark Millard 2016-11-10 22:01:49 UTC
(In reply to commit-hook from comment #1)

The commit 424999 reference to bugzilla 213014 (this bugzilla report) is wrong and was probably some form of typo in the PR number listed in bugzilla 424999 materials.

head/math/p5-Statistics-Descriptive/Makefile is not relevant to devel/powerpc64-gcc .
Comment 3 Mark Millard 2017-01-10 11:07:49 UTC
This was a powerpc64 variant of 215404 (andm64's lib32 build failure).
The fix to 215404 fixed this as well devel/powerpc64-gcc used with
devel/powerpc64-binutils can buildworld for head just fine (as of
-r311147 and some time before that).